Package org.jboss.resteasy.plugins.providers.multipart

## Class MultipartOutput

- java.lang.Object
- - org.jboss.resteasy.plugins.providers.multipart.MultipartOutput

- Direct Known Subclasses:
    `MultipartFormDataOutput`, `MultipartRelatedOutput`

      public class MultipartOutput
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected String` | `boundary` |
    `protected List<OutputPart>` | `parts` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MultipartOutput()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `OutputPart` | `addPart​(Object entity, Class<?> type, Type genericType, javax.ws.rs.core.MediaType mediaType)` |
    `OutputPart` | `addPart​(Object entity, Class<?> type, Type genericType, javax.ws.rs.core.MediaType mediaType, String filename)` |
    `OutputPart` | `addPart​(Object entity, Class<?> type, Type genericType, javax.ws.rs.core.MediaType mediaType, String filename, boolean utf8Encode)` |
    `OutputPart` | `addPart​(Object entity, javax.ws.rs.core.GenericType<?> type, javax.ws.rs.core.MediaType mediaType)` |
    `OutputPart` | `addPart​(Object entity, javax.ws.rs.core.GenericType<?> type, javax.ws.rs.core.MediaType mediaType, String filename)` |
    `OutputPart` | `addPart​(Object entity, javax.ws.rs.core.GenericType<?> type, javax.ws.rs.core.MediaType mediaType, String filename, boolean utf8Encode)` |
    `OutputPart` | `addPart​(Object entity, javax.ws.rs.core.MediaType mediaType)` |
    `OutputPart` | `addPart​(Object entity, javax.ws.rs.core.MediaType mediaType, String filename)` |
    `OutputPart` | `addPart​(Object entity, javax.ws.rs.core.MediaType mediaType, String filename, boolean utf8Encode)` |
    `String` | `getBoundary()` |
    `List<OutputPart>` | `getParts()` |
    `void` | `setBoundary​(String boundary)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### parts

          protected List<OutputPart> parts

    - #### boundary

          protected String boundary

  - ### Constructor Detail

    - #### MultipartOutput

          public MultipartOutput()

  - ### Method Detail

    - #### addPart

          public OutputPart addPart​(Object entity,
                                    javax.ws.rs.core.MediaType mediaType)

    - #### addPart

          public OutputPart addPart​(Object entity,
                                    javax.ws.rs.core.MediaType mediaType,
                                    String filename)

    - #### addPart

          public OutputPart addPart​(Object entity,
                                    javax.ws.rs.core.MediaType mediaType,
                                    String filename,
                                    boolean utf8Encode)

    - #### addPart

          public OutputPart addPart​(Object entity,
                                    javax.ws.rs.core.GenericType<?> type,
                                    javax.ws.rs.core.MediaType mediaType)

    - #### addPart

          public OutputPart addPart​(Object entity,
                                    javax.ws.rs.core.GenericType<?> type,
                                    javax.ws.rs.core.MediaType mediaType,
                                    String filename)

    - #### addPart

          public OutputPart addPart​(Object entity,
                                    javax.ws.rs.core.GenericType<?> type,
                                    javax.ws.rs.core.MediaType mediaType,
                                    String filename,
                                    boolean utf8Encode)

    - #### addPart

          public OutputPart addPart​(Object entity,
                                    Class<?> type,
                                    Type genericType,
                                    javax.ws.rs.core.MediaType mediaType)

    - #### addPart

          public OutputPart addPart​(Object entity,
                                    Class<?> type,
                                    Type genericType,
                                    javax.ws.rs.core.MediaType mediaType,
                                    String filename)

    - #### addPart

          public OutputPart addPart​(Object entity,
                                    Class<?> type,
                                    Type genericType,
                                    javax.ws.rs.core.MediaType mediaType,
                                    String filename,
                                    boolean utf8Encode)

    - #### getParts

          public List<OutputPart> getParts()

    - #### getBoundary

          public String getBoundary()

    - #### setBoundary

          public void setBoundary​(String boundary)